#if !defined(__alffnope_h)// Sentry, use file only if it's not already included.
#define __alffnope_h
/*  Project Tec3270

	 SUBSYSTEM:    Tec3270.exe (Tec3270 application)
	 FILE:         alffnope.h
	 AUTHOR:       Alcindo Ferreira Filho

	 OVERVIEW:
	 Tec3270Open Class Definition, the overture dialog of Tec3270
    application.

    COPYRIGHT:    © 1998-2007
                  Alcindo Ferreira Filho
                  <alcindo@inttec.com.br>

    LICENSE:      Tec3270_License (docs/Tec3270_License.txt)
*/
#include <alffdlg.h>

/////////////////////////////////////////////////////////////////////
// Tec3270Open Dialog
//

/* Tec3270 Overture Dialog */
//{{Tec3270Open}}
class Tec3270Open : public ALFFDialog
{
 public:
  Tec3270Open(TWindow* parent, char* applVersion, char* versionDate,
                               char* copyRight);
  virtual ~Tec3270Open();
  char far* GetClassName() {return "Tec3270Open";}
 protected:
  void 		SetupWindow();
  void 		CmOk();
  void 		EvPaint();
  void 		Paint(TDC&,bool,TRect&);
  void      EvLButtonDown(uint modKeys, TPoint& point);
  void      EvRButtonDown(uint modKeys, TPoint& point);
  void      EvTimer(uint timerId);

  TDib*  	tec3270BitMap;
  char*  	applVersion;
  char*  	copyRight;
  string    dateCompiled;

 DECLARE_RESPONSE_TABLE(Tec3270Open);
};


#endif    // __alffnope_h sentry.
